Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS0zZjU3LXcycnAtNzJmY84AAYAP

Undertow Uncaught Exception vulnerability

A long URL proxy request lead to java.nio.BufferOverflowException in Undertow.

Permalink: https://github.com/advisories/GHSA-3f57-w2rp-72fc
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS0zZjU3LXcycnAtNzJmY84AAYAP
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: about 2 years ago
Updated: over 1 year ago


CVSS Score: 5.9
CVSS vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Identifiers: GHSA-3f57-w2rp-72fc, CVE-2016-7046
References: Repository: https://github.com/undertow-io/undertow
Blast Radius: 22.0

Affected Packages

maven:io.undertow:undertow-core
Dependent packages: 912
Dependent repositories: 5,259
Downloads:
Affected Version Ranges: < 1.3.25.Final, >= 1.4.0, < 1.4.3.Final
Fixed in: 1.3.25.Final, 1.4.3.Final
All affected versions: 1.3.2-0.Final, 1.3.2-1.Final, 1.3.2-2.Final, 1.3.2-3.Final, 1.3.2-4.Final
All unaffected versions: